import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _SNClassification extends _NSObject {
    static alloc(): _SNClassification;
    static new(): _SNClassification;
    init(): _SNClassification;
    /**
     * The identifier of a classification request. An example classification could be a string like 'laughter' or 'applause'. The string is defined in the model that was used for the classification. Usually these are technical labels that are not localized and not meant to be used directly to be presented to an end user in the UI.
     */
    identifier(): _NSString;
    /** The level of confidence normalized to [0, 1], where 1 is most confident */
    confidence(): number;
}
